Bug 83263 - [Qt][WK2] fast/events/page-visibility-* tests fail
Summary: [Qt][WK2] fast/events/page-visibility-* tests fail
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Hugo Parente Lima
URL:
Keywords: Qt, QtTriaged
Depends on:
Blocks: 69554 79666
  Show dependency treegraph
 
Reported: 2012-04-05 03:47 PDT by Csaba Osztrogonác
Modified: 2012-05-17 05:29 PDT (History)
6 users (show)

See Also:


Attachments
Patch (3.52 KB, patch)
2012-05-16 12:56 PDT, Hugo Parente Lima
no flags Details | Formatted Diff | Diff
Patch (3.60 KB, patch)
2012-05-16 14:06 PDT, Hugo Parente Lima
no flags Details | Formatted Diff | Diff
Patch (3.55 KB, patch)
2012-05-16 14:09 PDT, Hugo Parente Lima
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Csaba Osztrogonác 2012-04-05 03:47:44 PDT
These tests were unskipped by http://trac.webkit.org/changeset/113235
( after implementing layoutTestController.setPageVisibility() )

But unfortunately these tests still fail:
- fast/events/page-visibility-iframe-move-test.html
- fast/events/page-visibility-iframe-propagation-test.html
- fast/events/page-visibility-transition-test.html

fast/events/page-visibility-iframe-move-test.html 
==================================================
- crazy flakey test
- 58 test cases (58%) succeeded, 42 test cases (42%) had incorrect layout

--- /home/webkitbuildbot/slaves/release64bitWebKit2_EC2/buildslave/qt-linux-64-release-webkit2/build/layout-test-results/fast/events/page-visibility-iframe-move-test-expected.txt
+++ /home/webkitbuildbot/slaves/release64bitWebKit2_EC2/buildslave/qt-linux-64-release-webkit2/build/layout-test-results/fast/events/page-visibility-iframe-move-test-actual.txt
@@ -1,21 +1,2 @@
-This test checks that an iframe that moves between pages with different visibility will have the correct visibility value.
+FAIL: Timed out waiting for notifyDone to be called
 
-On success, you will see a series of "PASS" messages, followed by "TEST COMPLETE".
-
-
-Window 1 Loaded
-Window 2 Loaded
-PASS window.document.webkitHidden is false
-PASS window2.document.webkitHidden is false
-PASS iframe.contentDocument.webkitHidden is false
-PASS window.document.webkitHidden is true
-PASS window2.document.webkitHidden is false
-PASS iframe.contentDocument.webkitHidden is false
-Adopted iframe to Window 1
-PASS window.document.webkitHidden is true
-PASS window2.document.webkitHidden is false
-PASS iframe.contentDocument.webkitHidden is true
-PASS successfullyParsed is true
-
-TEST COMPLETE
-


fast/events/page-visibility-iframe-propagation-test.html
=========================================================
- It fails always


--- /home/webkitbuildbot/slaves/release64bitWebKit2_EC2/buildslave/qt-linux-64-release-webkit2/build/layout-test-results/fast/events/page-visibility-iframe-propagation-test-expected.txt
+++ /home/webkitbuildbot/slaves/release64bitWebKit2_EC2/buildslave/qt-linux-64-release-webkit2/build/layout-test-results/fast/events/page-visibility-iframe-propagation-test-actual.txt
@@ -1,27 +1,2 @@
-This test checks that Page Visibility state events are propagated to child frames.
+FAIL: Timed out waiting for notifyDone to be called
 
-On success, you will see a series of "PASS" messages, followed by "TEST COMPLETE".
-
-
-Main Page:
-PASS document.webkitVisibilityState is "visible"
-PASS document.webkitHidden is false
-Child Frame:
-PASS childFrame.contentDocument.webkitVisibilityState is "visible"
-PASS childFrame.contentDocument.webkitHidden is false
-Main Page:
-PASS document.webkitVisibilityState is "hidden"
-PASS document.webkitHidden is true
-Child Frame:
-PASS childFrame.contentDocument.webkitVisibilityState is "hidden"
-PASS childFrame.contentDocument.webkitHidden is true
-Main Page:
-PASS document.webkitVisibilityState is "visible"
-PASS document.webkitHidden is false
-Child Frame:
-PASS childFrame.contentDocument.webkitVisibilityState is "visible"
-PASS childFrame.contentDocument.webkitHidden is false
-PASS successfullyParsed is true
-
-TEST COMPLETE
-



fast/events/page-visibility-transition-test.html
=================================================
- It fails always.


--- /home/webkitbuildbot/slaves/release64bitWebKit2_EC2/buildslave/qt-linux-64-release-webkit2/build/layout-test-results/fast/events/page-visibility-transition-test-expected.txt
+++ /home/webkitbuildbot/slaves/release64bitWebKit2_EC2/buildslave/qt-linux-64-release-webkit2/build/layout-test-results/fast/events/page-visibility-transition-test-actual.txt
@@ -1,23 +1,2 @@
-This test checks that Page Visibility state values are correct and the event changes are fired correctly.
+FAIL: Timed out waiting for notifyDone to be called
 
-On success, you will see a series of "PASS" messages, followed by "TEST COMPLETE".
-
-
-PASS document.webkitVisibilityState is "visible"
-PASS document.webkitHidden is false
-PASS document.webkitVisibilityState is "hidden"
-PASS document.webkitHidden is true
-PASS document.webkitVisibilityState is "hidden"
-PASS document.webkitHidden is true
-PASS document.webkitVisibilityState is "prerender"
-PASS document.webkitHidden is true
-PASS document.webkitVisibilityState is "visible"
-PASS document.webkitHidden is false
-PASS document.webkitVisibilityState is "preview"
-PASS document.webkitHidden is true
-PASS document.webkitVisibilityState is "visible"
-PASS document.webkitHidden is false
-PASS successfullyParsed is true
-
-TEST COMPLETE
-
Comment 1 Zoltan Arvai 2012-04-05 04:55:05 PDT
Skip landed in http://trac.webkit.org/changeset/113311
Comment 2 Hugo Parente Lima 2012-05-16 12:56:49 PDT
Created attachment 142327 [details]
Patch
Comment 3 Hugo Parente Lima 2012-05-16 13:22:49 PDT
fast/events/page-visibility-iframe-move-test.html still flaky, I'll look at it.
Comment 4 Alexis Menard (darktears) 2012-05-16 13:53:06 PDT
Comment on attachment 142327 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=142327&action=review

> Tools/ChangeLog:8
> +        Handle "preview" state and avoid string convertion.

Typo here.
Comment 5 Hugo Parente Lima 2012-05-16 14:06:34 PDT
Created attachment 142341 [details]
Patch
Comment 6 Hugo Parente Lima 2012-05-16 14:09:21 PDT
Created attachment 142342 [details]
Patch
Comment 7 WebKit Review Bot 2012-05-17 05:29:25 PDT
Comment on attachment 142342 [details]
Patch

Clearing flags on attachment: 142342

Committed r117435: <http://trac.webkit.org/changeset/117435>
Comment 8 WebKit Review Bot 2012-05-17 05:29:30 PDT
All reviewed patches have been landed.  Closing bug.